العودة للمرجع
GET/merchant-wallets/{merchantId}/transactions
Merchant wallets

عمليات التاجر

يعيد عمليات التاجر مع بيانات صفحات مختصرة.

مستوى الوصولmerchantالحد60/minمنع التكرارnoneالمصادقةBearerAuth
المصدرLuxApi/Modules/LuxPayIdentity/Http/Controllers/Api/MerchantWalletApiController.php::transactionsLuxPayProjects @ 146e98baa44e

المعاملات

X-Request-IDheader
stringاختياري

Client correlation identifier. LuxPay may generate one when omitted.

Example: req_01J...
merchantIdpath
integerإلزامي

Merchant/business identifier.

Example: 10101
per_pagequery
integerاختياري

Page size.

Example: 20
pagequery
integerاختياري

Page number.

Example: 1

أمثلة الكود

العنوان المعروض Sandbox Placeholder حتى يتم تزويد النطاق الرسمي. لا تلصق رمز Production في متصفح عام.
curl --request GET \
  --url 'https://sandbox-api.luxpay.example/v1/merchant-wallets/10101/transactions' \
  --header 'Accept: application/json' \
  --header 'Authorization: Bearer <token>'

الاستجابات

200Successful response.
status
boolean
Example: true
data
array<Transaction>
meta
PaginationMeta
{
  "status": true,
  "data": [
    {
      "id": 901,
      "uuid": "00000000-0000-4000-8000-000000000001",
      "wallet_id": 42,
      "owner_type": "customer",
      "owner_id": 2201,
      "transaction_type": "transfer",
      "status": "completed",
      "amount": 1250.5,
      "currency_code": "YER",
      "exchange_rate": 1,
      "local_amount": 1,
      "fee_amount": 0,
      "net_amount": 1250.5,
      "reference_type": "string",
      "reference_id": 1,
      "external_reference": "string",
      "idempotency_key": "string",
      "business_id": 1,
      "branch_id": 1,
      "payment_method": "string",
      "description": "string",
      "meta": {},
      "completed_at": "2026-07-16T12:00:00Z",
      "failed_at": "2026-07-16T12:00:00Z",
      "reversed_at": "2026-07-16T12:00:00Z",
      "created_at": "2026-07-16T12:00:00Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "last_page": 4,
    "per_page": 20,
    "total": 73,
    "from": 1,
    "to": 1
  }
}
400
401
403
404
409
422
429
500
OpenAPI JSONOpenAPI YAMLPostman collection